<#ibizinclude>../../@MACRO/FUNC/MACRO.ftl</#ibizinclude>
<div class='view-container ${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>'>
    <app-studioaction :viewTitle="$t(model.srfCaption)" viewName="${view.getCodeName()?lower_case}"></app-studioaction>
    <card class='view-card<#if !view.isShowCaptionBar()> view-no-caption</#if> <#if !view.hasPSControl('toolbar')> view-no-toolbar</#if>'  :bordered="false" :dis-hover="true" >
    
    <#ibizinclude>
    ../@MACRO/VIEW_CAPTION.vue.ftl
    </#ibizinclude>

        <div class='content-container'>
<#assign MDContent>
  <#if view.getPSSysCounterRef?? && view.getPSSysCounterRef()?? && view.getPSSysCounterRef().getPSAppCounter()??>
  <#assign appCounter = view.getPSSysCounterRef().getPSAppCounter() />
  </#if>
  <#--  BEGIN：快速搜索框或工具栏或支持快速分组搜索或快速搜索表单部件存在  -->
  <#if (view.isEnableQuickSearch() || view.hasPSControl('toolbar') || view.isEnableQuickGroup() || view.getQuickPSDESearchForm()??)>
<div style="margin-bottom:6px;">
    <#if view.isEnableQuickGroup()>
    <div class="quick-group-container">
        <app-quick-group :items="quickGroupModel" <#if appCounter??>:counterService="${appCounter.getCodeName()?lower_case}counterservice"</#if> @valuechange="quickGroupValueChange"></app-quick-group>
    </div>
    </#if>
    <#if view.getQuickPSDESearchForm()??>
    <div class="quick-search-container">
      <#assign quickSearchForm = view.getQuickPSDESearchForm() />
    ${P.getCtrlCode(quickSearchForm, 'CONTROL.html').code}
    </div>
    </#if>
    <#if view.isEnableQuickSearch()>
    <i-input<#if view.hasPSControl('searchform')><#if view.isExpandSearchForm??> v-show="!isExpandSearchForm"</#if></#if> v-model="query" search enter-button @on-search="onSearch($event)" class='pull-left' placeholder="<@getQuickSearchPlaceholder view />" style='max-width: 400px;margin-top:6px;' />
    </#if>
    <div class='pull-right'>
    <#if view.hasPSControl('toolbar')>
      <@ibizindent blank=8>
      ${P.getCtrlCode('toolbar', 'CONTROL.html').code}
      </@ibizindent>
    </#if>
    </div>
</div>
  </#if>
  <#--  END：快速搜索框或工具栏或支持快速分组搜索或快速搜索表单部件存在  -->
  <#if view.hasPSControl('searchform')>
${P.getCtrlCode('searchform', 'CONTROL.html').code}
  </#if>
  <#if view.hasPSControl('list')>
${P.getCtrlCode('list', 'CONTROL.html').code}
  </#if>
</#assign>

<#ibizinclude>
../@MACRO/VIEW_MD_CONTENT.vue.ftl
</#ibizinclude>
        </div>
    </card>
</div>